export declare class FIFOCache<K, V> {
    private map;
    private capacity;
    constructor(capacity: number);
    set(key: K, value: V): void;
    get(key: K): V | undefined;
    delete(key: K): boolean;
    clear(): void;
    size(): number;
    entries(): IterableIterator<[K, V]>;
}
